function init(hero) {
    hero.setName("Aquaman/\u00A7d\u00A7lKNIGHTS\u00A7r");
    hero.setTier(5);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    hero.addPrimaryEquipment("fiskheroes:chokuto", true, item => !item.nbt().getBoolean("Dual"));
    
    hero.addPowers("knights:hybrid_physiology");
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 6, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 3.5, 0);
    hero.addAttribute("IMPACT_DAMAGE", 4.5, 1);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1)
    
    hero.addKeyBind("CHARGE_ICE", "key.chargeIce", 1);

    hero.setHasPermission(hasPermission);
    hero.setModifierEnabled(isModifierEnabled);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
     case "fiskheroes:flight":
        return entity.getData("fiskheroes:shadowform");
   default:
        return true;
    }
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}
